Skip to content

List Roles ​

List roles within an organization or tenant. The authenticated user requires ADMIN permissions for the target path.

This endpoint supports pagination of results using the offset and limit parameters.

Parameters ​

name * are required parametersdata typedescription
limitnumberThe maximum number of results to retrieve
offsetnumberOffset from the first index in the collection

Return Value ​

An object containing an array of roles and a status code of 200.

json
{
  "statusCode": 200,
  "message": "search completed",
  "data": [Role, Role, ...]
}

Error Codes ​

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when permissions are insufficient.

Examples ​

bash
curl "https://app.wombat.software/api/{targetPath}/roles?limit=10&offset=20" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer ..."

ENDPOINTS

get/api/{targetPath}/roles